Bug 374501 - %post script spews errors during installation of galeon
%post script spews errors during installation of galeon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 06:38 EST by Mike A. Harris
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 16:46:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full output of "yum install galeon" showing error. (1.67 KB, text/plain)
2007-11-10 06:38 EST, Mike A. Harris
no flags Details
patch to clean up rpm scriptlets for galeon.spec (1.73 KB, patch)
2007-11-11 08:23 EST, Mike A. Harris
no flags Details | Diff

  None (edit)
Description Mike A. Harris 2007-11-10 06:38:38 EST
Description of problem:
I just installed galeon with "yum install galeon" and noticed that its
postinstall scriptlet displays stuff to stderr that should be redirected to
/dev/null:

gconfd-2: no process killed


Version-Release number of selected component (if applicable):
galeon-2.0.3-13.fc8


How reproducible:
I've only done it once, and haven't tried to reproduce it, however it should be
100% reproduceable so long as the conditions are met that cause the errors to be
displayed to stderr.


Steps to Reproduce:
1. Make sure galeon is not already installed on your system.
2. Make sure gconfd-2 is not running currently.
3. "yum install galeon"
  
Actual results:

Running Transaction
  Installing: galeon                       ######################### [1/1]
gconfd-2: no process killed

Installed: galeon.x86_64 0:2.0.3-13.fc8
Complete!


Additional info:
The correct fix for this problem is to redirect stderr and stdout to /dev/null
on any commands in the script(s) that we don't want to see any errors about
during installation.  I'll attach a suggested fix shortly.
Comment 1 Mike A. Harris 2007-11-10 06:38:38 EST
Created attachment 253891 [details]
Full output of "yum install galeon" showing error.
Comment 2 Mike A. Harris 2007-11-11 08:23:03 EST
Created attachment 254641 [details]
patch to clean up rpm scriptlets for galeon.spec

Here's a patch to clean up the scriptlets, not yet tested, but it should work. 
All I've done is enclose each script within braces and perform stderr/stdout
redirection on the collective, as well as discarding the return code of the
collective.

I'm building a test package and will give an update when I've tested it.
Comment 3 Denis Leroy 2007-11-11 16:46:48 EST
Fixed in CVS thanks.
Comment 4 Mike A. Harris 2007-11-12 09:43:21 EST
Testing results:

pts/0 root@hammer:/home/mharris/rpmbuild/8/RPMS# rpm -Uvh
galeon-2.0.3-14.fc8athlon64.x86_64.rpm
Preparing...                ########################################### [100%]
   1:galeon                 ########################################### [100%]
pts/0 root@hammer:/home/mharris/rpmbuild/8/RPMS#


Looks good.

Note You need to log in before you can comment on or make changes to this bug.